Load_ggF_bbF_noEW_SusHiPP_PPbarTables_LHC_plus_Tevatron();

/// ggF Tables

// CP even

clog<< "Making test tables for ggF P-Pbar..."<<endl;

clog<< "Making LHC 7 TeV SM table..."<<endl;

ofstream lhc7("lhc7_pp_func_mH_CP_even.dat");

for(double mH=30;mH<1000.1;mH+=1){
  lhc7<<mH<<"\t"<<InternalTableSusHiPP_ggF_noEW(7000,mH,1,1,1)<<endl;
 }

clog<< "Making LHC 8 TeV SM table..."<<endl;

ofstream lhc8("lhc8_pp_func_mH_CP_even.dat");

for(double mH=30;mH<1000.1;mH+=1){
  lhc8<<mH<<"\t"<<InternalTableSusHiPP_ggF_noEW(8000,mH,1,1,1)<<endl;
 }

clog<< "Making LHC 14 TeV SM table..."<<endl;

ofstream lhc14("lhc14_pp_func_mH_CP_even.dat");

for(double mH=30;mH<1000.1;mH+=1){
  lhc14<<mH<<"\t"<<InternalTableSusHiPP_ggF_noEW(14000,mH,1,1,1)<<endl;
 }

clog<< "Making Tevatron 1.9 TeV SM table..."<<endl;

ofstream Tevatron1_9("tevatron1.9_ppbar_func_mH_CP_even.dat");

for(double mH=30;mH<1000.1;mH+=1){
  Tevatron1_9<<mH<<"\t"<<InternalTableSusHiPPbar_ggF_noEW(1960,mH,1,1,1)<<endl;
 }

//CP odd

clog<< "Making test tables for ggF P-Pbar..."<<endl;

clog<< "Making LHC 7 TeV SM table..."<<endl;

ofstream lhc7odd("lhc7_pp_func_mH_CP_odd.dat");

for(double mH=30;mH<1000.1;mH+=1){
  lhc7odd<<mH<<"\t"<<InternalTableSusHiPP_ggF_noEW(7000,mH,-1,1,1)<<endl;
 }

clog<< "Making LHC 8 TeV SM table..."<<endl;

ofstream lhc8odd("lhc8_pp_func_mH_CP_odd.dat");

for(double mH=30;mH<1000.1;mH+=1){
  lhc8odd<<mH<<"\t"<<InternalTableSusHiPP_ggF_noEW(8000,mH,-1,1,1)<<endl;
 }

clog<< "Making LHC 14 TeV SM table..."<<endl;

ofstream lhc14odd("lhc14_pp_func_mH_CP_odd.dat");

for(double mH=30;mH<1000.1;mH+=1){
  lhc14odd<<mH<<"\t"<<InternalTableSusHiPP_ggF_noEW(14000,mH,-1,1,1)<<endl;
 }

clog<< "Making Tevatron 1.9 TeV SM table..."<<endl;

ofstream Tevatron1_9odd("tevatron1.9_ppbar_func_mH_CP_odd.dat");

for(double mH=30;mH<1000.1;mH+=1){
  Tevatron1_9odd<<mH<<"\t"<<InternalTableSusHiPPbar_ggF_noEW(1960,mH,1,-1,1)<<endl;
 }

/// bbF Tables

// CP even

clog<< "Making test tables for bbF P-Pbar..."<<endl;

clog<< "Making LHC_BBF 7 TeV SM table..."<<endl;

ofstream lhc_bbF7("lhc_bbF7_pp_func_mH_CP_even.dat");

for(double mH=30;mH<1000.1;mH+=1){
  lhc_bbF7<<mH<<"\t"<<InternalTableSusHiPP_bbF_noEW(7000,mH,1,1)<<endl;
 }

clog<< "Making LHC_BBF 8 TeV SM table..."<<endl;

ofstream lhc_bbF8("lhc_bbF8_pp_func_mH_CP_even.dat");

for(double mH=30;mH<1000.1;mH+=1){
  lhc_bbF8<<mH<<"\t"<<InternalTableSusHiPP_bbF_noEW(8000,mH,1,1)<<endl;
 }

clog<< "Making LHC_BBF 14 TeV SM table..."<<endl;

ofstream lhc_bbF14("lhc_bbF14_pp_func_mH_CP_even.dat");

for(double mH=30;mH<1000.1;mH+=1){
  lhc_bbF14<<mH<<"\t"<<InternalTableSusHiPP_bbF_noEW(14000,mH,1,1)<<endl;
 }

clog<< "Making Tevatron_BBF 1.9 TeV SM table..."<<endl;

ofstream Tevatron1_9bbF("tevatron_bbF1.9_ppbar_func_mH_CP_even.dat");

for(double mH=30;mH<1000.1;mH+=1){
  Tevatron1_9bbF<<mH<<"\t"<<InternalTableSusHiPPbar_bbF_noEW(1960,mH,1,1)<<endl;
 }

//CP odd

clog<< "Making test tables for bbF P-Pbar..."<<endl;

clog<< "Making LHC_BBF 7 TeV SM table..."<<endl;

ofstream lhc_bbF7odd("lhc_bbF7_pp_func_mH_CP_odd.dat");

for(double mH=30;mH<1000.1;mH+=1){
  lhc_bbF7odd<<mH<<"\t"<<InternalTableSusHiPP_bbF_noEW(7000,mH,-1,1)<<endl;
 }

clog<< "Making LHC_BBF 8 TeV SM table..."<<endl;

ofstream lhc_bbF8odd("lhc_bbF8_pp_func_mH_CP_odd.dat");

for(double mH=30;mH<1000.1;mH+=1){
  lhc_bbF8odd<<mH<<"\t"<<InternalTableSusHiPP_bbF_noEW(8000,mH,-1,1)<<endl;
 }

clog<< "Making LHC_BBF 14 TeV SM table..."<<endl;

ofstream lhc_bbF14odd("lhc_bbF14_pp_func_mH_CP_odd.dat");

for(double mH=30;mH<1000.1;mH+=1){
  lhc_bbF14odd<<mH<<"\t"<<InternalTableSusHiPP_bbF_noEW(14000,mH,-1,1)<<endl;
 }

clog<< "Making Tevatron_BBF 1.9 TeV SM table..."<<endl;

ofstream Tevatron1_9bbFodd("tevatron_bbF1.9_ppbar_func_mH_CP_odd.dat");

for(double mH=30;mH<1000.1;mH+=1){
  Tevatron1_9bbFodd<<mH<<"\t"<<InternalTableSusHiPPbar_bbF_noEW(1960,mH,-1,1)<<endl;
 }
